{
  "name": "alugap",
  "version": "0.1.0",
  "description": "A skeleton for future projects",
  "productName": "Quasar App",
  "author": "Denis <denis.gnl@gmail.com>",
  "type": "module",
  "private": true,
  "scripts": {
    "lint": "eslint --ext .js,.vue ./ && prettier --check \"**/*.{js,vue,scss,html,md,json}\" --ignore-path .gitignore",
    "lint:fix": "eslint --ext .js,.vue ./ --fix && prettier --write \"**/*.{js,vue,scss,html,md,json}\" --ignore-path .gitignore",
    "format": "prettier --write \"**/*.{js,vue,scss,html,md,json}\" --ignore-path .gitignore",
    "test": "echo \"No test specified\" && exit 0",
    "dev": "quasar dev",
    "build": "quasar build",
    "deploy": "aws --profile michel-softpar --region sa-east-1 s3 sync ./dist/spa s3://alugap-owner-office-test --delete"
  },
  "dependencies": {
    "@quasar/extras": "^1.16.17",
    "axios": "^1.8.4",
    "chart.js": "^4.4.8",
    "date-fns": "^4.1.0",
    "pinia": "^3.0.1",
    "quasar": "^2.18.1",
    "socket.io-client": "^4.8.1",
    "vue": "^3.5",
    "vue-chartjs": "^5.3.2",
    "vue-currency-input": "^3.2.1",
    "vue-i18n": "^9.14.5",
    "vue-router": "^4.5.0"
  },
  "devDependencies": {
    "@intlify/eslint-plugin-vue-i18n": "^3.2.0",
    "@intlify/unplugin-vue-i18n": "^11.0.7",
    "@intlify/vue-i18n-loader": "^4.2.0",
    "@quasar/app-vite": "^2.2.0",
    "autoprefixer": "^10.4.21",
    "eslint": "^8.57.1",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-vue": "^9.32.0",
    "postcss": "^8.5.3",
    "prettier": "^3.5.3",
    "vite-plugin-checker": "^0.9.1"
  },
  "engines": {
    "node": "^24 || ^22 || ^20 || ^18",
    "npm": ">= 6.13.4",
    "yarn": ">= 1.21.1"
  }
}
